Subject: Re: [bpf PATCH v2 0/6] sockmap fixes

From: Jakub Sitnicki <[email-masked]>
Date: Mon, 16 Nov 2020 15:49:59 +0100

On Fri, Nov 13, 2020 at 12:26 AM CET, John Fastabend wrote:
> This includes fixes for sockmap found after I started running skmsg and
> verdict programs on systems that I use daily. To date with attached
> series I've been running for multiple weeks without seeing any issues
> on systems doing calls, mail, movies, etc.
>
> Also I started running packetdrill and after this series last remaining
> fix needed is to handle MSG_EOR correctly. This will come as a follow
> up to this, but because we use sendpage to pass pages into TCP stack
> we need to enable TCP side some.
>
> v2:
>  - Added patch3 to use truesize in sk_rmem_schedule (Daniel)
>  - cleaned up some small nits... goto and extra set of brackets (Daniel)
>
> ---
>
> John Fastabend (6):
>       bpf, sockmap: fix partial copy_page_to_iter so progress can still be made
>       bpf, sockmap: Ensure SO_RCVBUF memory is observed on ingress redirect
>       bpf, sockmap: Use truesize with sk_rmem_schedule()
>       bpf, sockmap: Avoid returning unneeded EAGAIN when redirecting to self
>       bpf, sockmap: Handle memory acct if skb_verdict prog redirects to self
>       bpf, sockmap: Avoid failures from skb_to_sgvec when skb has frag_list

Patch 5 potentially can be simplified. Otherwise LGTM. For the series:

Reviewed-by: Jakub Sitnicki <[email-masked]>